import React, { Component } from 'react'

export default class ProductDetails extends Component {
    constructor(props) {
        super(props)
        this.state = {}
    }
    
    render() {
        return (
            <div className="product-details-container">
                <div id="product-details-left">
                    <div id="prod-details-container">
                        <img alt="" src={ this.props.product.productImageUrl } id="prod-details-img" />
                        <div id="prod-details-box">
                            <p id="details-title">{ this.props.product.productName }</p>
                            <p id="details-sku"><span>sku:</span> { this.props.product.sku }</p>
                            <p id="details-description">{ this.props.product.productDescription }</p>
                        </div>
                    </div>
                </div>
                <div id="product-details-right">
                    <div id="product-details-condenser">
                        <div id="prod-details-shipping">
                            [Shipping Estimate]
                        </div>
                        <input type="number" id="prod-details-quantity" placeholder="Quantity" />
                        <button id="prod-details-add-to-cart">
                            Add to Cart
                        </button>
                    </div>
                </div>
            </div>
        )
    }
}
